当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : the question about mplayer
帖子发表于 : 2007-06-17 15:59 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
minix@ubuntu:~$ sudo apt-get install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
mplayer: 依赖: libdvdread3 (>= 0.9.6) 但却无法安装它
依赖: libggi2 (>= 1:2.2.1) 但却无法安装它
E: 无法安装的软件包
minix@ubuntu:~$ sudo apt-get install libggi2
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
现在没有可用的软件包 libggi2,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 libggi2 还没有可供安装的候选者
minix@ubuntu:~$ sudo apt-get install libdvdread3
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
现在没有可用的软件包 libdvdread3,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 libdvdread3 还没有可供安装的候选者
minix@ubuntu:~$


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-06-17 17:25 
头像

注册: 2007-01-15 17:15
帖子: 3766
送出感谢: 0 次
接收感谢: 0 次
用 synaptic 装


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-06-17 18:44 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
能说的详细点么?synaptic是什么?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-06-17 21:00 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
用过了才用的sudo apt-get,同样的提示,麻烦看下提示的 内容


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-06-17 21:47 
头像

注册: 2007-01-15 17:15
帖子: 3766
送出感谢: 0 次
接收感谢: 0 次
那就先 sudo apt-get update / sudo apt-get upguade


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-06-17 22:14 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
第一个命令是更新
第二个是什么意思?提示upguade无效操作


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-06-18 0:27 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
让您更新源
代码:
sudo apt-get update
和更新软件版本
代码:
sudo apt-get upgrade

然后在用新立得安装


_________________
Borders are meant to be crossed


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-06-18 19:54 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
试了也没用,新立德也提示 mplayer: 依赖: libdvdread3 (>= 0.9.6) 但却无法安装它
依赖: libggi2 (>= 1:2.2.1) 但却无法安装它


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-06-19 1:09 
头像

注册: 2006-09-30 0:32
帖子: 2717
地址: 巴拉特星系第四行星──海尼森
送出感谢: 0 次
接收感谢: 0 次
你之前弄过什么源外的软件没有?


_________________
头可断,血可流,靓女不可不追求
相艾唔好口,够姜就只抽

BARTON 2500+/1536MDDR400
EP8RDA3G/MX4000 128M64bit 8X
DiamondPlus9-6Y080L0-ATA133
Samsung743DF
HiweedDesktop-1.0


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-06-19 11:49 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
没啊,之前啥都不懂,什么也没弄


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-06-19 12:12 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
估计是你的源不对, 你用的是什么版本的ubuntu? 另外,把 /etc/apt/sources.list 的内容贴出来看看.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-06-19 18:39 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
用的是amd64 7.04 alternate


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-06-19 18:42 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
sudo aptitude install mplayer


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-06-19 21:52 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
何解?


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2007-06-19 22:44 

注册: 2007-05-23 20:39
帖子: 89
送出感谢: 0 次
接收感谢: 0 次
/etc/apt/sources.list-----------------完整的命令是什么?
sudo aptitude install mplayer不管用,及提示


minix@ubuntu:~$ sudo aptitude install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成
创建标签数据库... 完成
下列软件包是“破损”的:
mplayer
下列新软件包将被自动安装:
libfaac0 liblame0 libmad0 libmp4v2-0 libxvidcore4
下列“新”软件包将被安装。
libfaac0 liblame0 libmad0 libmp4v2-0 libxvidcore4
0 个软件包被升级,新安装6 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 4784kB 的存档。 解包后将要使用 12.7MB。
下列软件包存在未满足的依赖关系:
mplayer: 依赖: libdvdread3 (>= 0.9.6) 这是一个虚拟软件包。
依赖: libggi2 (>= 1:2.2.1) 这是一个虚拟软件包。
Resolving dependencies...
下列动作将解决这些依赖关系:

保持 下列软件包于其当前版本:
mplayer [未安装的]

分数是 -9999

是否接受该解决方案?[Y/n/q/?] y
将不会安装,升级或者删除任何软件包。
0 个软件包被升级,新安装0 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 0B 的存档。 解包后将要使用 0B。
您要继续吗?[Y/n/?] y
正在编辑扩展状态信息... 完成


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译